import tensorflow as tf



def custom_loss(y_true, y_pred):
    p = 1  # Weight when predicted value is greater than true value
    q = 0.6  # The weight when the predicted value is smaller than the true value
    error = y_true - y_pred
    condition = tf.less_equal(error, 0)
    loss = tf.where(condition, q * tf.square(error), p * tf.square(error))
    return tf.reduce_mean(loss)


